Name:           libsmpp34
Version:        1.14.4
Release:        1.dcbw%{?dist}
Summary:        C-language library of the SMPP Protocol version 3.4
License:        GPL-2.0-or-later AND LGPL-2.1-or-later

URL:            https://osmocom.org/projects/libsmpp34/wiki

BuildRequires:  git gcc autoconf automake libtool doxygen
BuildRequires:  libxml2-devel

Source0: %{name}-%{version}.tar.bz2

%description
C-language library implementing the SMPP Protocol version 3.4

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Development files for %{name}.


%prep
%autosetup -p1


%build
%global optflags %(echo %optflags | sed 's|-Wp,-D_GLIBCXX_ASSERTIONS||g')
autoreconf -fi
%configure --enable-shared \
           --disable-static

# Fix unused direct shlib dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

find %{buildroot} -name '*.la' -exec rm -f {} \;
sed -i -e 's|UNKNOWN|%{version}|g' %{buildroot}/%{_libdir}/pkgconfig/*.pc


%check
make check


%ldconfig_scriptlets


%files
%license COPYING
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Jun  8 2025 Dan Williams <dan@ioncontrol.co> - 1.14.4
- Update to 1.14.4

* Sun Aug 26 2018 Cristian Balint <cristian.balint@gmail.com>
- github update releases
